Subject: bug#71162: [email-masked]

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 May 2024 07:44:21 +0300

> Date: Sat, 25 May 2024 12:08:33 -0700
> Cc: [email-masked]
> From: David McCracken <[email-masked]>
> 
> I use Gimp under Windows to make my icons and they all work in 
> Linux-Emacs 26.1. When I open lxa-next.xpm in Linux-Emacs 26.3 (in 
> Ubuntu-Mate 20.54) the icon is rendered correctly. Linux-Emacs 27.1 (in 
> Ubuntu-Mate 22.04) shows it as a blank box. All systems correctly show 
> my icons in the GUI. I edited lxa-next.xpm as text, completely removing 
> the Windows directory, which isn't proper C code because it doesn't name 
> the variable being defined. Nevertheless, the newer Linux computer's GUI 
> does render it although with less saturated colors. When I include a 
> variable name, "something" or "*/~/icons/lxa-next.xpm", the system 
> renders it as designed. However, Emacs still shows it blank. I tried all 
> of these variations in the 27.1/etc/images directory and Emacs showed 
> them all blank. This did not change with emacs -q so the problem is not 
> caused by my .emacs. The problem also doesn't seem to be caused by 
> Ubuntu-Mate because it renders my icons correctly.

Sorry, I don't understand.  If you do the following on Ubuntu with
Emacs 27.1:

  emacs -Q
  C-x C-f ~/icons/lxa-next.xpm RET

does Emacs 27.1 on Ubuntu display the image, or does it display an
empty box?  If the latter, the problem is that Emacs 27.1 on Ubuntu
that you have installed is not capable of showing XPM images
correctly.  IOW, in that case the problem is not related to the tool
bar, it is related to the general inability of displaying XPM images
in that version of Emacs.